Subject: Bug#526 closed by Michael DePaulo <[email-masked]> (This was fixed in 4.0.2.1)

From: [email-masked] (X2Go Bug Tracking System)
Date: Sun, 14 Dec 2014 17:20:02 +0000

This is an automatic notification regarding your Bug report
which was filed against the x2goclient package:

#526: Included PulseAudio consumes too much CPU when launched with high priority

It has been closed by Michael DePaulo <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Michael DePaulo <[email-masked]> by
replying to this email.

-- 
526: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=526
X2Go Bug Tracking System
Contact [email-masked] with problems

Subject: This was fixed in 4.0.2.1
From: Michael DePaulo <[email-masked]>
To: [email-masked]
Date: Sun, 14 Dec 2014 12:16:35 -0500

Package: x2goclient
Version: 4.0.2.1

This was fixed back in X2Go Client for Windows 4.0.2.1.

I updated the x2goclient debian/changelog file incorrectly, so it
wasn't marked as fixed.

Subject: Included PulseAudio consumes too much CPU when launched with high priority
From: Nable 80 <[email-masked]>
To: [email-masked]
Date: Sun, 29 Jun 2014 18:04:42 +0400

Package: x2goclient
Version: 4.0.2.0

When I use sound forwarding and launch inside X2Go session some application
with sound support, pulseaudio.exe at client side starts consuming ~100% CPU.
By default, X2Go Client starts pulseaudio.exe with high priority (13).
When I set priority to "Above Normal (10)" PA's CPU load drops to 10-20%.
With "Normal (8)" it drops to almost 0%, although sound is still played stable,
without any additional delays.

I'm using WinXP SP3 (32-bit) on my laptop with single core CPU.
This issue seems to be "PulseAudio 5.0 && WinXP"-specific.